/*
 * Copyright 2004 Sun Microsystems, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.sun.syndication.samples;

import com.sun.syndication.feed.atom.Feed;
import com.sun.syndication.feed.atom.Link;
import com.sun.syndication.io.WireFeedOutput;

import java.io.StringWriter;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

/**
 * It Reads and prints any RSS/Atom feed type.
 * <p/>
 *
 * @author Alejandro Abdelnur
 */
public class AtomGen {

    public static void main(String[] args) throws Exception {
        List relateds = new ArrayList();
        Link link = new Link();
        link.setRel("related");
        link.setHref("http://some.uri/");
        link.setType("application/octet-stream");
        link.setHreflang("en");
        link.setTitle("my title");
        relateds.add(link);

        Feed atom = new Feed("atom_1.0");
        atom.setOtherLinks(relateds);


        StringWriter writer = new StringWriter();
        WireFeedOutput output = new WireFeedOutput();
        output.output(atom, writer);
        writer.close();
        System.out.print(writer.toString());
    }

}